Subject: bug#40728: 27.0.91; Removed public functions from debugger.el

From: Philipp Stephani <[email-masked]>
Date: Tue, 28 Apr 2020 10:26:22 +0200

Am Di., 28. Apr. 2020 um 08:32 Uhr schrieb Eli Zaretskii <[email-masked]>:
>
> > From: Gemini Lasswell <[email-masked]>
> > Cc: Philipp Stephani <[email-masked]>,  [email-masked]
> > Date: Mon, 27 Apr 2020 13:54:27 -0700
> >
> > Eli Zaretskii <[email-masked]> writes:
> >
> > > Gemini, could you please write replacements for the functions you
> > > removed, or defalias them to some equivalent replacements?  I agree
> > > that public functions should not be removed, not without deprecating
> > > them first (if indeed they don't make sense).
> >
> > Here is a patch to bring those functions back.
>
> Thanks!
>
> Philipp, any comments?  If not, I'd like to install this on the
> release branch.

I haven't tested the patch in detail, but it looks fine, thanks.
I guess you want to use `define-obsolete-function-alias' instead of
`defalias' to mark the aliases as obsolete as well.
The commit message should contain a magic string such as "Don't merge
to master" to prevent reinstating the functions in Emacs 28.